summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/changelog2
-rw-r--r--debian/libpam-modules.preinst2
-rw-r--r--debian/libpam0g.postinst4
3 files changed, 5 insertions, 3 deletions
diff --git a/debian/changelog b/debian/changelog
index ffc0bdc3..74382411 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,8 @@ pam (1.1.3-1) UNRELEASED; urgency=low
* debian/patches-applied/027_pam_limits_better_init_allow_explicit_root:
set a better default RLIMIT_MEMLOCK value for BSD kernels. Thanks to
Petr Salinger for the fix. Closes: #602902.
+ * bump the minimum version check in maintainer scripts for the restart
+ handling.
-- Steve Langasek <vorlon@debian.org> Tue, 31 May 2011 21:37:42 -0700
diff --git a/debian/libpam-modules.preinst b/debian/libpam-modules.preinst
index ceca533c..18ae4f03 100644
--- a/debian/libpam-modules.preinst
+++ b/debian/libpam-modules.preinst
@@ -4,7 +4,7 @@ set -e
. /usr/share/debconf/confmodule
-if dpkg --compare-versions "$2" lt-nl 1.1.1-2; then
+if dpkg --compare-versions "$2" lt-nl 1.1.3-1; then
db_version 2.0
if pidof xscreensaver xlockmore >/dev/null; then
diff --git a/debian/libpam0g.postinst b/debian/libpam0g.postinst
index 9eaa594c..c58ed66e 100644
--- a/debian/libpam0g.postinst
+++ b/debian/libpam0g.postinst
@@ -85,7 +85,7 @@ installed_services() {
if [ "$1" = "configure" ]
then
if [ ! -z "$2" ]; then
- if dpkg --compare-versions "$2" lt 1.1.1-2; then
+ if dpkg --compare-versions "$2" lt 1.1.3-1; then
db_version 2.0
echo -n "Checking for services that may need to be restarted..."
@@ -186,7 +186,7 @@ then
# Shut down the frontend, to make sure none of the
# restarted services keep a connection open to it
db_stop
- fi # end upgrading and $2 lt 1.1.1-2
+ fi # end upgrading and $2 lt 1.1.3-1
fi # Upgrading
fi